﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.Entities;

   public class Product
    {
    public int Id { get; set; }
    public string Name { get; set; } = string.Empty;
    
    public ProductView View{ get;  set; }
    public int CountMaterial { get; set; }
    public IEnumerable<ProductMaterial> ProductMaterial { get; set; } = [];
    public static Product CreateEntity(int id, string name, ProductView view, int countmaterial, IEnumerable<ProductMaterial> productMaterial) 
    {
        return new Product
        {
            Id = id,
            Name = name,
            
            View = view,
            CountMaterial = countmaterial,
            ProductMaterial = productMaterial
        };
    }

}

