﻿using ProjectAtelier.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAtelier.REPOSITORY;

public interface IMaterialReplenishmentRepository
{
    IEnumerable<MaterialReplenishment> ReadMaterialsSpent();
    MaterialReplenishment ReadMaterialSpentById(int id);
    void CreateMaterialSpent(MaterialReplenishment material);
    void UpdateMaterialSpent(MaterialReplenishment material);
}
